Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Could not load the Qt platform plugin "windows" in "" even though it was found #1042

Closed
kapitanluffy opened this issue Feb 6, 2020 · 3 comments
Closed

Comments

@kapitanluffy
Copy link

@kapitanluffy kapitanluffy commented Feb 6, 2020

I can't seem to run git-cola (latest release). Below are the errors. I already set the QT_QPA_PLATFORM_PLUGIN_PATH environment variable but it did not work.

image

image

@davvid

This comment has been minimized.

Copy link
Member

@davvid davvid commented Feb 6, 2020

Hmm it's been a while since I've touched our pynsist.cfg. I suspect that removing bitness = 32 and updating pyqt to 5.13.1 and sip to 4.19.19 and that might do the trick.

I don't have any Windows machines available for testing this theory, though. Could you perhaps try installing pynsist so that you can try building the installer with those tweaks?

The config file is pynsist.cfg. and the script that typically gets run to generate an installer is ./contrib/win32/run-pynsist.sh

Hopefully you'll be able to test it and confirm whether this fixes the issue.

@kapitanluffy

This comment has been minimized.

Copy link
Author

@kapitanluffy kapitanluffy commented Feb 6, 2020

I think I can't generate the installer since I am on windows but I won't mind testing it for you. Just send over the file.

@kapitanluffy

This comment has been minimized.

Copy link
Author

@kapitanluffy kapitanluffy commented Feb 11, 2020

I accidentally opened git-cola by reflex and worked. Weird. Gonna close this for now.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants
You can’t perform that action at this time.